<?php

namespace app\admin\controller\asset;

use app\admin\validate\asset\HouseTypeValidate;
use app\controller\Curd;
use app\model\Asset;
use support\Request;

class HouseTypeController extends Curd
{
    public function __construct()
    {
        $this->model = new Asset();
        $this->validate = true;
        $this->validateClass = new HouseTypeValidate();
    }

    /**
     * @Desc 提交数据处理
     * @Author Gorden
     * @Date 2024/3/6 9:11
     *
     * @param Request $request
     * @return array
     * @throws \support\exception\BusinessException
     */
    protected function insertInput(Request $request): array
    {
        $data = $this->inputFilter($request->post());
        $data['asset_id'] = date('YmdHis') . mt_rand(1000, 9999);

        return $data;
    }
}