<?php

namespace app\admin\service\order;

use app\model\Appointment;
use support\Db;
use support\Request;

class AppointmentService
{
    public static function select(Request $request)
    {
        $page = $request->get('page');
        $pageSize = $request->get('pageSize');
        $id = $request->get('id','');
        $mobile = $request->get('mobile','');


        $rows = Db::table('appointment')
            ->leftJoin('member','member.member_id','=','appointment.join_appointment_member_id')
            ->leftJoin('goods','goods.goods_id','=','appointment.join_appointment_goods_id')
            ->leftJoin('order','order.order_id','=','appointment.join_appointment_order_id')
            ->leftJoin('member_benefit','member_benefit.member_benefit_id','=','appointment.join_appointment_member_benefit_id')
            ->when($id != '', function ($query) use ($id){
                $query->where('appointment.appointment_id','like','%'.$id.'%');
            })->when($mobile != '', function ($query) use ($mobile){
                $query->where('member.member_mobile','like','%'.$mobile.'%');
            });

        $total = $rows->count('member.member_id');
        $rows = $rows->select('member.member_mobile','appointment.*','goods.*','order.*','member_benefit.*')
            ->orderBy('appointment.appointment_addtimes','desc')
            ->forPage($page,$pageSize)
            ->get();

        foreach ($rows as &$row) {
            $row->goods_cover = getenv('STORAGE_DOMAIN') . $row->goods_cover;
        }

        return json_success('', compact('rows', 'page', 'pageSize', 'total'));
    }
}