<?php

namespace app\admin\validate\coupon;

use think\Validate;

class CouponValidate extends Validate
{
    /**
     * 规则
     * @var string[]
     */
    protected $rule = [
        'coupon_id' => 'require|alphaDash',
        'coupon_status' => 'require|in:ACTIVED,DISABLED',
        'coupon_category' => 'max:32',
        'coupon_name' => 'require|max:32',
        'coupon_begindate' => 'require',
        'coupon_enddate' => 'require',
    ];

    /**
     * 场景
     * @var array[]
     */
    protected $scene = [
        'add' => ['coupon_status', 'coupon_category', 'coupon_name', 'coupon_begindate', 'coupon_enddate'],
        'update' => ['coupon_id', 'coupon_status', 'coupon_category', 'coupon_name', 'coupon_begindate', 'coupon_enddate'],
    ];
}