<?php

namespace app\admin\validate\member;

use think\Validate;

class MemberValidate extends Validate
{
    protected $rule = [
        'id' => 'require',
        'account_name' => 'require',
        'avatar' => 'require',
        'source' => 'require', // 来源
        'is_owner' => 'require|in:Y,N',
        'classify' => 'require', // 归类 会员/游客
        'birth' => 'require',
        'gender' => 'require|in:male,female,unknown',
        'status' => 'require|in:ACTIVED,DISABLED',
        'mobile' => 'require|mobile',
        'addr' => 'require',
        'cert_name' => 'require',
        'cert_nbr' => 'require|idCard',
        'member_cert_face' => 'url', // 身份证人像面照片 base64
        'member_cert_photo' => 'url' // 身份证国徽面照片 base64
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['account_name', 'avatar', 'source', 'is_owner', 'classify', 'birth', 'gender', 'status', 'mobile', 'addr', 'cert_name',
            'cert_nbr', 'member_cert_face', 'member_cert_photo'],
        'update' => ['id', 'account_name', 'avatar', 'source', 'is_owner', 'classify', 'birth', 'gender', 'status', 'mobile', 'addr', 'cert_name',
            'cert_nbr', 'member_cert_face', 'member_cert_photo']
    ];
}