<?php

namespace app\admin\validate\order;

use think\Validate;

class OrderValidate extends Validate
{
    /**
     * 规则
     * @var string[]
     */
    protected $rule = [
        'order_id' => 'require|alphaDash',
        'join_order_member_id' => 'require|alphaDash',
        'order_name' => 'max:32',
        'order_status_system' => 'require|max:32',
        'order_status_payment' => 'require|max:32',
        'order_status_storage' => 'require|max:32',
    ];

    /**
     * 场景
     * @var array[]
     */
    protected $scene = [
        'add' => ['join_order_member_id', 'order_name', 'order_status_system', 'order_status_payment', 'order_status_storage'],
        'update' => ['order_id', 'join_order_member_id', 'order_name', 'order_status_system', 'order_status_payment', 'order_status_storage'],
    ];
}