<?php

namespace app\admin\validate\order;

use think\Validate;

class ReturnValidate extends Validate
{
    protected $rule = [
        'orders_return_id' => 'require|integer',
        'join_order_return_user_id' => 'require|alphaDash',
        'join_return_order_id' => 'require|alphaDash',
        'order_return_status' => 'require|in:PENDING,DOING,DONE',
        'order_return_apply_datetimes' => 'date',
        'order_return_apply_json' => 'isJson',
        'order_return_accept_datetimes' => 'date',
        'order_return_recharge_json' => 'isJson',
        'order_return_regoods_json' => 'isJson',
        'order_return_change_json' => 'isJson',
        'order_return_task_json' => 'isJson',
    ];

    protected $scene = [
        'update' => ['orders_return_id', 'order_return_status', 'order_return_apply_json', 'order_return_recharge_json', 'order_return_regoods_json',
            'order_return_change_json', 'order_return_task_json']
    ];

    public function isJson($value)
    {
        if (is_json($value)) {
            return true;
        }

        return '数据格式错误';
    }
}