<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class ApiValidate extends Validate
{
    protected $rule = [
        'api_id' => 'require|alphaDash',
        'api_status' => 'require|in:ACTIVED,DISABLED',
        'api_category' => 'max:32',
        'api_token' => 'max:32',
        'api_name' => 'max:64',
        'api_request_json' => 'isJson',
        'api_response_json' => 'isJson'
    ];

    protected $scene = [
        'add' => ['api_status', 'api_category', 'api_token', 'api_name', 'api_request_json', 'api_response_json'],
        'update' => ['api_id', 'api_status', 'api_category', 'api_token', 'api_name', 'api_request_json', 'api_response_json'],
    ];

    /**
     * @Desc 验证Json
     * @Author Gorden
     * @Date 2024/4/1 13:51
     *
     * @param $value
     * @return string|true
     */
    public function isJson($value)
    {
        if (is_json($value)) {
            return true;
        }

        return "数据格式错误";
    }
}