<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class PostageTemplateValidate extends Validate
{
    protected $rule = [
        'postage_id' => 'require|integer',
        'postage_name' => 'require|regex:/^[\x{4e00}-\x{9fa5}a-zA-Z0-9\_\-\s]+$/u',
        'postage_type' => 'require|in:1,2',
        'postage_first_weight' => 'require|float',
        'postage_first_price' => 'require|float',
        'postage_extend_weight' => 'require|float',
        'postage_extend_price' => 'require|float',
        'postage_status' => 'in:1,2',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['postage_name', 'postage_type', 'postage_first_weight', 'postage_first_price', 'postage_extend_weight', 'postage_extend_price', 'postage_status'],
        'update' => ['postage_id', 'postage_name', 'postage_type', 'postage_first_weight', 'postage_first_price', 'postage_extend_weight', 'postage_extend_price', 'postage_status'],
    ];
}